Subject: [Din] The need for decentralization technologies (a digital Bretton Woods)

From: Thomas Hardjono <[email-masked]>
Date: Sat, 19 Jun 2021 14:11:04 +0000

Folks,

I thought I'd share this article concerning the idea of a new digital Bretton Woods, as it pertains the need for new decentralization technologies.

https://www.barrons.com/articles/new-technologies-will-reshape-the-financial-ecosystem-and-the-world-with-it-51624023107

..."The current financial and banking system is past its best-by date. Too-big-to-fail banks are morphing into too-big-to-manage and too-big-to-regulate institutions due to the sheer complexity of their interconnected balance sheets. Recent debacles, such as the Danske Bank money laundering scandal, the Citi payment fiasco, and the Credit Suisse Archegos saga, are manifestations of the same problem. By pushing trading, clearing, and settlement of complex financial instruments to central clearing counterparties, regulators created potential single points of failure in the system of unprecedented proportions. Robinhood and other trading platforms, lacking robust internal risk management, put enormous pressure on the whole clearing network."

I think there is a huge role the IETF can potentially play in the emerging space of decentralization/distributed technologies.

Best

--thomas

 |   Thomas Hardjono
 |   MIT Connection Science & Engineering 
 |   connection.mit.edu
 |   hardjono.mit.edu